package senac_turma02.stack;

import junit.framework.TestCase;

public class StackImplTest extends TestCase {

	StackImpl s_;
	
	protected void setUp() throws Exception {
		super.setUp();
		s_ = new StackImpl(new int[] { 30, 20, 10 });
	}

	public void testPop() {
		int n = s_.pop();		
		assertEquals(n, 30);
	}

	public void testPush() {
		StackImpl s = new StackImpl();
		s.push(40);	
		assertEquals(s.top(), 40);	
	}

	public void testTop() {
		assertEquals(s_.top(), 30);			
	}

	public void testIsEmpty() {
		fail("Not yet implemented");
	}

	public void testIsFull() {
		fail("Not yet implemented");
	}
	
	protected void tearDown() throws Exception {
		super.tearDown();
	}


}
